Connect external issue
Connect a follow-up to an existing issue in an issue tracker, using the URL of the issue.
This will not work if the follow-up is already connected to an external issue.
POST
/
v2
/
follow_ups
/
{id}
/
actions
/
connect_external_issue
Connect external issue
curl --request POST \
--url https://api.incident.io/v2/follow_ups/{id}/actions/connect_external_issue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "linear",
"url": "https://linear.app/incident/issue/INC-123"
}
'import requests
url = "https://api.incident.io/v2/follow_ups/{id}/actions/connect_external_issue"
payload = {
"provider": "linear",
"url": "https://linear.app/incident/issue/INC-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'linear', url: 'https://linear.app/incident/issue/INC-123'})
};
fetch('https://api.incident.io/v2/follow_ups/{id}/actions/connect_external_issue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"follow_up": {
"assignee": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"assignee_team": {
"id": "abc123",
"name": "abc123"
},
"completed_at": "2021-08-17T13:28:57.801578Z",
"created_at": "2021-08-17T13:28:57.801578Z",
"creator": {
"alert": {
"id": "01GW2G3V0S59R238FAHPDS1R66",
"title": "*errors.withMessage: PG::Error failed to connect"
},
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"workflow": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My little workflow"
}
},
"description": "Call the fire brigade",
"external_issue_reference": {
"issue_name": "INC-123",
"issue_permalink": "https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up",
"provider": "asana"
},
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"labels": [
"bug",
"urgent"
],
"priority": {
"description": "A follow-up that requires immediate attention.",
"id": "01GNW4BAQ7XRMFF6FHKNXDFPRW",
"name": "Urgent",
"rank": 10
},
"status": "outstanding",
"title": "Cat is stuck in the tree",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
}🔑 Requires the
follow_ups.connect_external_issue scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
Unique identifier for the follow-up
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Body
application/json
The issue tracker provider the issue belongs to
Available options:
asana, azure_devops, click_up, linear, jira, jira_server, github, gitlab, service_now, shortcut Example:
"linear"
URL of the issue in the external provider
Example:
"https://linear.app/incident/issue/INC-123"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Connect external issue
